SHIFT(3)

NAME
im_shiftleft, im_shiftright - bit shift operations

SYNOPSIS
#include <vips/vips.h> int im_shiftleft( in, out, n )
IMAGE *in, *out;
int n; int im_shiftright( in, out, n )
IMAGE *in, *out;
int n;

DESCRIPTION
Shift integer images n bits left or right. Shifts on signed images are sign-preserving.

RETURN VALUE
All functions return 0 on success and -1 on error.

SEE ALSO
im_ifthenelse(3), im_equal(3), im_andimage(3).

COPYRIGHT
National Gallery, 1992

AUTHOR
J. Cupitt